shisa_keys_free(3)

NAME
shisa_keys_free - API function

SYNOPSIS
#include <shisa.h>

void shisa_keys_free(Shisa * dbh, Shisa_key ** keys, size_t nkeys);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

Shisa_key ** keys
    Pointer to an array of Shisa key structures.

size_t nkeys
    Number of key elements in the array keys.

DESCRIPTION
Deallocates each key element in the array keys of Shisa database keys, using repeated calls to shisa_key_free().

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.